cascading.flow.stream.element

## Class TrapHandler

- java.lang.Object
- - cascading.flow.stream.element.TrapHandler

-     public class TrapHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrapHandler(FlowProcess flowProcess)`
    `TrapHandler(FlowProcess flowProcess, FlowElement flowElement, Tap trap, String trapName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleException(String trapName, Tap trap, Throwable throwable, TupleEntry tupleEntry)`
    `protected void` | `handleException(Throwable exception, TupleEntry tupleEntry)`
    `protected void` | `handleReThrowableException(String message, Throwable throwable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrapHandler

          public TrapHandler(FlowProcess flowProcess)

    - #### TrapHandler

          public TrapHandler(FlowProcess flowProcess,
                     FlowElement flowElement,
                     Tap trap,
                     String trapName)

  - ### Method Detail

    - #### handleReThrowableException

          protected void handleReThrowableException(String message,
                                        Throwable throwable)

    - #### handleException

          protected void handleException(Throwable exception,
                             TupleEntry tupleEntry)

    - #### handleException

          protected void handleException(String trapName,
                             Tap trap,
                             Throwable throwable,
                             TupleEntry tupleEntry)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.